package com.redijedi.tapestry.internal;

import org.apache.tapestry.ValueEncoder;

/**
 * @author torr
 * 
 */
public class LongValueEncoder implements ValueEncoder<Long> {

	public String toClient(Long value) {
		return value == null ? "" : value.toString();
	}

	public Long toValue(String clientValue) {
		try {
			return new Long(clientValue);
		} catch (NumberFormatException e) {
			return null;
		}
	}

}
